| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RTShader::HardwareSkinningTechnique Class Referenceabstract
Optional Components » RTShaderSystem

Implement a sub render state which performs hardware skinning. More...

`#include <OgreShaderExHardwareSkinningTechnique.h>`

Inheritance diagram for Ogre::RTShader::HardwareSkinningTechnique:
[legend]

## Public Member Functions
| HardwareSkinningTechnique ()
| Class default constructor. More...
virtual | ~HardwareSkinningTechnique ()
virtual bool | addFunctionInvocations (ProgramSet *programSet)=0
| More...
virtual void | copyFrom (const HardwareSkinningTechnique *hardSkin)
| More...
ushort | getBoneCount ()
| Returns the number of bones in the model assigned to the material. More...
ushort | getWeightCount ()
| Returns the number of weights/bones affecting a vertex. More...
bool | hasCorrectAntipodalityHandling ()
| Only applicable for dual quaternion skinning. More...
bool | hasScalingShearingSupport ()
| Only applicable for dual quaternion skinning. More...
virtual bool | resolveDependencies (ProgramSet *programSet)=0
| More...
virtual bool | resolveParameters (ProgramSet *programSet)=0
| More...
void | setDoBoneCalculations (bool doBoneCalculations)
void | setHardwareSkinningParam (ushort boneCount, ushort weightCount, bool correctAntipodalityHandling=false, bool scalingShearingSupport=false)
| More...

## Detailed Description

Implement a sub render state which performs hardware skinning.

Meaning, this sub render states adds calculations which multiply the points and normals by their assigned bone matricies.

The documentation for this class was generated from the following file:

- OgreShaderExHardwareSkinningTechnique.h